package net.northking.cctp.element.test;

import java.util.HashMap;
import java.util.Map;

/**
 * Building Map type data for Runkeyword method
 * 
 * @author fengxiang.zhang
 * @since 1.0
 */
public class ParamsBuilder {

	private Map<String, Object> params;

	public ParamsBuilder() {
		this.params = new HashMap<>();
	}

	public ParamsBuilder add(String paramName, Object value) {
		this.params.put(paramName, value);
		return this;
	}

	public Map<String, Object> build() {
		return this.params;
	}
}